Zone Destination Allow List Revision Resource
Description
This resource is for manipulating zone destination allow list entries by revision number. Any changes made to a zone's destination allow list configuration increase the revision number. You can check the current revision of a zone with the current revision resource.
For correct functionality, destination allow list addresses should be contained within their zone's routes. Destination allow lists for IP addresses that are not part of the zone can still be created, but will both consume destination allow list prefixes and not function as expected (since traffic for the address will end up in a different zone entirely).
GET /zones/:ZONEID/revisions/:REVISIONID/dst_allow_lists
Query all the destination allow list entries for a zone at a particular revision. This is a paged query that uses the "sort_list" functionality.
GET Parameters
| Name | Required | Type | Description | Default Value |
|---|---|---|---|---|
| :ZONEID | Yes | URL Parameter | The unique numeric ID of the zone. | |
| :REVISIONID | Yes | URL Parameter | The revision number of the source allow list set. | |
| q | No | Query Parameter | Filter returned entries in the revision by their ip, description or traffic type. |
GET Response Values
Each element in the data array will be an object representation of the destination allow list resources that are used in the zone.
Example GET Request
GET /zones/2031/revisions/21/dst_allow_lists
Example GET Response
{
"rows": 1,
"data": [
{
"id": 670428,
"zone_id": 2031,
"ip": "207.168.1.10/32",
"traffic_type": "TCP",
"description": "",
"dst_allow_list_resource": "/dst_allow_lists/670428",
"zone_resource": "/zones/2031",
"group_resource": "/groups/279",
"customer_resource": "/customers/279"
}
],
"start": 0
}
POST /zones/:ZONEID/revisions/:REVISIONID/dst_allow_lists
Create a new set of source allow list entries to use in the zone. Any entries created will be in addition to existing source allow list entries in the zone. The POST will only be accepted if the :REVISIONID is the current source allow list revision for the zone.
If more than 20 entries are being created at one time, this will be run as a "bulk import" background job. For consistency, the imported parameter can be used to force this behavior even when inserting 20 or less entries.
POST Parameters
| Name | Required | Type | Description | Default Value |
|---|---|---|---|---|
| :ZONEID | Yes | URL Parameter | The unique numeric ID of the zone you want to add destination allow list entries. | |
| :REVISIONID | Yes | URL Parameter | The revision number of the destination allow list set. In order to successfully perform the POST, this must be the zone's current destination allow list revision number. | |
| imported | No | JSON Boolean | If present, always run this create as a background job. | |
| array | Yes | JSON Array | An array containing an object for each individual destination allow list you want to add. The following entries in this table detail the destination allow list object, see also the requirements to update an individual destination allow list entry. | |
| ip | Yes | JSON String | The IPv4 or IPv6 source subnet to allow list. If mask is omitted, this will default to /32 for IPv4 and /128 for IPv6. | |
| description | No | JSON String | An optional description to use. | |
| traffic_type | Yes | JSON String | The type of traffic to allow. Must be one of "TCP", "UDP", "ICMP", or "ALL". |
Example POST Request
POST /zones/2031/revisions/21/dst_allow_lists
JSON Body:
{
"data": {
"array": [
{
"ip": "207.168.1.9",
"traffic_type": "ALL",
"description": "Second internal server."
}
]
}
}
Example POST Response
HTTP/1.1 201 Created
DELETE /zones/:ZONEID/revisions/:REVISIONID/dst_allow_lists
Remove destination allow list entries from the zone. If using the query parameter, this will only delete entries that match the query, otherwise all entries will be removed.
DELETE Parameters
| Name | Required | Type | Description | Default Value |
|---|---|---|---|---|
| :ZONEID | Yes | URL Parameter | The unique numeric ID of the zone. | |
| :REVISIONID | Yes | URL Parameter | The revision number of the destination allow list set. In order to successfully perform the DELETE, this must be the zone's current destination allow list revision number. | |
| q | No | Query Parameter | Delete entries in the revision by matching "ip", "description", or "traffic_type". |
Example DELETE Request
DELETE /zones/2031/revisions/26/dst_allow_lists
Example DELETE Response
HTTP/1.1 200 OK